| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
uiODRandomLineTreeItem Class Reference
uiODMain

`#include <uiodrandlinetreeitem.h>`

Inheritance diagram for uiODRandomLineTreeItem:
[legend]

## Public Types
enum | Type { Empty , Select , Default , RGBA }

## Public Member Functions
| uiODRandomLineTreeItem (const VisID &, Type=Empty, const RandomLineID &=RandomLineID::udf())
bool | displayData (const Attrib::SelSpec *)
bool | displayDefaultData ()
ConstRefMan< visSurvey::RandomTrackDisplay > | getDisplay () const
bool | init () override
void | setRandomLineID (const RandomLineID &)
Public Member Functions inherited from uiODDisplayTreeItem
virtual bool | actModeWhenSelected () const
uiODDataTreeItem * | addAttribItem ()
virtual bool | displayedOnlyAtSections () const
VisID | displayID () const
void | handleAddAttrib ()
bool | isDisplayID (int) const
virtual bool | isOnlyAtSections () const
void | prepareForShutdown () override
virtual void | setOnlyAtSectionsDisplay (bool)
void | show (bool)
bool | showSubMenu () override
void | updateCheckStatus () override
void | updateColumnText (int) override
Public Member Functions inherited from uiODTreeItem
bool | anyButtonClick (uiTreeViewItem *) override
SceneID | sceneID () const
Public Member Functions inherited from uiTreeItem
| uiTreeItem (const uiString &nm=uiString::empty())
| ~uiTreeItem ()
virtual bool | addChild (uiTreeItem *child, bool below)
bool | allChildrenChecked () const
bool | allChildrenCollapsed () const
bool | allChildrenExpanded () const
bool | allChildrenUnchecked () const
bool | areAllParentsChecked ()
NotifierAccess * | checkStatusChange ()
void | collapse ()
void | collapseAllChildren ()
void | entryInEditMode (int col)
void | expand ()
void | expandAllChildren ()
virtual uiTreeItem * | findChild (const char *name)
virtual const uiTreeItem * | findChild (const char *name) const
virtual uiTreeItem * | findChild (int selkey)
virtual const uiTreeItem * | findChild (int selkey) const
virtual void | findChildren (const char *, ObjectSet< uiTreeItem > &)
uiTreeItem * | getChild (int)
const uiTreeItem * | getChild (int) const
ObjectSet< uiTreeItem > & | getChildren ()
const ObjectSet< uiTreeItem > & | getChildren () const
uiTreeViewItem * | getItem ()
const uiTreeViewItem * | getItem () const
template<class T >
bool | getProperty (const char *key, T &res) const
bool | getPropertyPtr (const char *key, void *&) const
bool | hasChildren () const
bool | hasGrandChildren () const
virtual bool | isChecked () const
bool | isCollapsed () const
bool | isExpanded () const
virtual bool | isSelected () const
NotifierAccess * | keyPressed ()
uiTreeItem * | lastChild ()
| mOD_DisableCopy (uiTreeItem) virtual void prepareForShutdown()
virtual void | moveItem (uiTreeItem *after)
virtual void | moveItemToTop ()
uiString | name () const
int | nrChildren () const
uiTreeItem * | parentTreeItem ()
virtual void | removeAllChildren ()
virtual void | removeChild (uiTreeItem *)
virtual bool | select ()
void | setChecked (bool yn, bool trigger=false)
void | setName (const uiString &nm)
template<class T >
void | setProperty (const char *key, const T &)
void | setPropertyPtr (const char *key, void *)
void | setToolTip (int column, const uiString &)
virtual uiTreeItem * | siblingAbove ()
virtual uiTreeItem * | siblingBelow ()
virtual int | siblingIndex () const
virtual void | translateText ()
void | updateSelTreeColumnText (int col)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
| ~uiODRandomLineTreeItem ()
void | changeColTabCB (CallBacker *)
void | createMenu (MenuHandler *, bool istb) override
void | editNodes ()
RefMan< visSurvey::RandomTrackDisplay > | getDisplay ()
void | handleMenuCB (CallBacker *) override
const char * | parentType () const override
void | remove2DViewerCB (CallBacker *)
Protected Member Functions inherited from uiODDisplayTreeItem
| uiODDisplayTreeItem ()
| ~uiODDisplayTreeItem ()
void | addToToolBarCB (CallBacker *)
bool | askContinueAndSaveIfNeeded (bool withcancel) override
virtual void | checkCB (CallBacker *)
virtual void | colorChgCB (CallBacker *)
virtual uiODDataTreeItem * | createAttribItem (const Attrib::SelSpec *) const
virtual uiString | createDisplayName () const
void | createMenuCB (CallBacker *)
virtual void | deleteObject ()
bool | doubleClick (uiTreeViewItem *) override
uiString | getLockMenuText () const
bool | isExpandable () const override
bool | isSelectable () const override
virtual void | keyPressCB (CallBacker *)
int | selectionKey () const override
void | selectRGBA (const Pos::GeomID &)
bool | shouldSelect (int selkey) const override
int | uiTreeViewItemType () const override
void | updateLockPixmap (bool islocked)
Protected Member Functions inherited from uiODTreeItem
| uiODTreeItem (const uiString &)
| ~uiODTreeItem ()
void | addStandardItems (uiMenu &)
uiODApplMgr * | applMgr ()
bool | getMoreObjectsToDoHint () const
void | handleStandardItems (int mnuid)
virtual const char * | iconName () const
bool | init () override
void | setMoreObjectsToDoHint (bool yn)
ui3DViewer * | viewer ()
Protected Member Functions inherited from uiTreeItem
virtual bool | addChld (uiTreeItem *, bool below, bool downwards)
virtual uiParent * | getUiParent () const
virtual void | removeItem (uiTreeViewItem *)
virtual void | renameItem (uiTreeViewItem *)
virtual bool | rightClick (uiTreeViewItem *)
virtual bool | selectWithKey (int selkey)
virtual void | setTreeViewItem (uiTreeViewItem *)
virtual void | updateSelection (int selectionKey, bool dw=false)
virtual bool | useParentType () const

## Protected Attributes
MenuItem | create2dgridmnuitem_
MenuItem | editnodesmnuitem_
MenuItem | insertnodemnuitem_
RandomLineID | rlid_
WeakPtr< visSurvey::RandomTrackDisplay > | rtd_
MenuItem | saveas2dmnuitem_
MenuItem | saveasmnuitem_
Type | type_
MenuItem | usewellsmnuitem_
Protected Attributes inherited from uiODDisplayTreeItem
MenuItem | addattribmnuitem_
MenuItem | addmnuitem_
MenuItem | addvolprocmnuitem_
VisID | displayid_
MenuItem | displaymnuitem_
MenuItem | duplicatemnuitem_
MenuItem | hidemnuitem_
MenuItem | histogrammnuitem_
MenuItem | lockmnuitem_
MenuItem | removemnuitem_
uiVisPartServer * | visserv_
Protected Attributes inherited from uiTreeItem
ObjectSet< uiTreeItem > | children_
uiString | name_
uiTreeItem * | parent_ = nullptr
IOPar | properties_
uiTreeViewItem * | uitreeviewitem_ = nullptr

## Additional Inherited Members
Static Public Member Functions inherited from uiODDisplayTreeItem
static bool | create (uiTreeItem *, uiODApplMgr *, const VisID &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Member Enumeration Documentation

## ◆ Type

enum uiODRandomLineTreeItem::Type

Enumerator
Empty |
Select |
Default |
RGBA |

## Constructor & Destructor Documentation

## ◆ uiODRandomLineTreeItem()

uiODRandomLineTreeItem::uiODRandomLineTreeItem | ( | const VisID & | ,
|  | Type | = Empty,
|  | const RandomLineID & | = RandomLineID::udf() )

## ◆ ~uiODRandomLineTreeItem()

uiODRandomLineTreeItem::~uiODRandomLineTreeItem | ( |  | ) |
| protected

## Member Function Documentation

## ◆ changeColTabCB()

void uiODRandomLineTreeItem::changeColTabCB | ( | CallBacker * |  | ) |
| protected

## ◆ createMenu()

void uiODRandomLineTreeItem::createMenu | ( | MenuHandler * | ,
|  | bool | istb )
| override protected virtual

Reimplemented from uiODDisplayTreeItem.

## ◆ displayData()

bool uiODRandomLineTreeItem::displayData | ( | const Attrib::SelSpec * |  | ) |

## ◆ displayDefaultData()

bool uiODRandomLineTreeItem::displayDefaultData | ( |  | ) |

## ◆ editNodes()

void uiODRandomLineTreeItem::editNodes | ( |  | ) |
| protected

## ◆ getDisplay() [1/2]

RefMan< visSurvey::RandomTrackDisplay > uiODRandomLineTreeItem::getDisplay | ( |  | ) |
| protected

## ◆ getDisplay() [2/2]

ConstRefMan< visSurvey::RandomTrackDisplay > uiODRandomLineTreeItem::getDisplay | ( |  | ) | const

## ◆ handleMenuCB()

void uiODRandomLineTreeItem::handleMenuCB | ( | CallBacker * |  | ) |
| override protected virtual

Reimplemented from uiODDisplayTreeItem.

## ◆ init()

bool uiODRandomLineTreeItem::init | ( |  | ) |
| override virtual

Reimplemented from uiODDisplayTreeItem.

## ◆ parentType()

const char * uiODRandomLineTreeItem::parentType | ( |  | ) | const
| inline override protected virtual

Returns
  typeid(parentclass).name()

Implements uiTreeItem.

## ◆ remove2DViewerCB()

void uiODRandomLineTreeItem::remove2DViewerCB | ( | CallBacker * |  | ) |
| protected

## ◆ setRandomLineID()

void uiODRandomLineTreeItem::setRandomLineID | ( | const RandomLineID & |  | ) |

## Member Data Documentation

## ◆ create2dgridmnuitem_

MenuItem uiODRandomLineTreeItem::create2dgridmnuitem_
| protected

## ◆ editnodesmnuitem_

MenuItem uiODRandomLineTreeItem::editnodesmnuitem_
| protected

## ◆ insertnodemnuitem_

MenuItem uiODRandomLineTreeItem::insertnodemnuitem_
| protected

## ◆ rlid_

RandomLineID uiODRandomLineTreeItem::rlid_
| protected

## ◆ rtd_

WeakPtr<visSurvey::RandomTrackDisplay> uiODRandomLineTreeItem::rtd_
| protected

## ◆ saveas2dmnuitem_

MenuItem uiODRandomLineTreeItem::saveas2dmnuitem_
| protected

## ◆ saveasmnuitem_

MenuItem uiODRandomLineTreeItem::saveasmnuitem_
| protected

## ◆ type_

Type uiODRandomLineTreeItem::type_
| protected

## ◆ usewellsmnuitem_

MenuItem uiODRandomLineTreeItem::usewellsmnuitem_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025